← Tabelle
Vee uit

Scotland

Women's Premiership

#SpanPWDLPDBPPtsVorm
1Hillhead Jordanhill RFC5500+173525WWWWW
2Watsonian FC5401+165521WLWWW
3Stirling County RFC4400+254420WWWW
4Biggar RFC5302+26416WWWLL
5Garioch RFC5104-24237LLLWL
6Heriot's Rugby Women4103-2656LWLL
7Corstorphine RFC5104-13526LLLLW
8Cartha Queens Park RFC5005-21533LLLLL

Bron: Scottish Rugby · nagegaan 14 Okt. 16:52 · Vorm: die laaste vyf uitslae wat ons het, nuutste regs.

Wedstryde en uitslae →

Elke tabel is die liga se eie gepubliseerde punteleer, met bonuspunte, aftrekkings en gelykopreëls. BP word gewys waar die liga dit publiseer; elders is dit reeds in Pts.